## SETPRINTLIMIT Set Limit For Printing Of Arrays

Section: Input/Ouput Functions

### Usage

Changes the limit on how many elements of an array are printed using either the `disp` function or using expressions on the command line without a semi-colon. The default is set to one thousand elements. You can increase or decrease this limit by calling

      setprintlimit(n)

where `n` is the new limit to use.

### Example

Setting a smaller print limit avoids pages of output when you forget the semicolon on an expression.

    --> A = randn(512);
    --> setprintlimit(10)
    --> A

    ans =

    Columns 1 to 10

       -1.9107    0.6750   -0.0673    0.9689   -0.6160   -1.2424    0.3498   -0.0847   -0.5226   -0.6009
    Print limit has been reached.  Use setprintlimit function to enable longer printouts
    --> setprintlimit(1000)